Since version 5.09.100, IGEL UMS is 64-bit based. This article serves now for information purposes only.

Question

What are the prerequisites for the installation of IGEL Universal Management Suite on 64-bit operating systems?

Answer

Since UMS 5.09

From UMS Version 5.09, the installation of 32-bit libraries is no longer required. The necessary dependencies are automatically installed if the corresponding option has been chosen during the UMS installation procedure. For information on UMS installation, see Installing a UMS Server.

Since UMS 5.07.100

From UMS Version 5.07.100, the required 32-bit libraries can automatically be installed by the UMS installer if the corresponding option is chosen during the UMS installation procedure. For information on UMS installation, see Installing a UMS Server.

Before UMS 5.07.100


Example with Ubuntu 14.04 LTS 64-bit:
# add i386 support
sudo dpkg --add-architecture i386
sudo apt-get update
# install libraries
sudo apt-get install lib32z1 \ lib32ncurses5 \ lib32bz2-1.0 \ libxtst6:i386 \ libxinerama1:i386 \ libxi6:i386 \ libxext6:i386 \ libxrender1:i386

Example with Ubuntu 16.04 LTS 64-bit:
# add i386 support
sudo dpkg --add-architecture i386
sudo apt-get update
# install libraries
sudo apt-get install lib32z1 \ lib32ncurses5 \ libbz2-1.0:i386 \ libxtst6:i386 \ libxinerama1:i386 \ libxi6:i386 \ libxext6:i386 \ libxrender1:i386